#include <avr/io.h>
#include <stdint.h>
#include <util/delay.h>
#include <stdlib.h>
#include <avr/pgmspace.h>
#include "lcd.h"

void schlaf(float anz)
{
	for(int i=anz; i > 0; i-=0.25)
	{
		_delay_ms(250);
	}
}

void main(void)
{
	int i, MenPkt;
	
	i = 0;
	MenPkt = 0;
	DDRB = 0xff;					//Port B als Ausgang definieren
	DDRD = 0x00;					//PortD ist Eingang
	PORTD = 0xff;					//enable pull-ups
	PORTB = 0xFF;					//alle	LED	aus
	
	lcd_init(LCD_DISP_ON);
	lcd_clrscr();
		
	while(1)
	{
		if( (( PIND & ( 1 << PD1 ) ) == 0) && (MenPkt > 0) )		//Taster1 Menue reverse
		{
			MenPkt--;
			schlaf(1);
		}
		else if( (( PIND & ( 1 << PD1 ) ) == 0) && (MenPkt == 0) )	//Taster1 Menue reverse
		{
			MenPkt = 7;
			schlaf(1);
		}
		
		if( (( PIND & ( 1 << PD2 ) ) == 0) && (MenPkt < 7) )		//Taster2 Menue forward
		{
			MenPkt++;
			schlaf(1);
		}
		else if( (( PIND & ( 1 << PD2 ) ) == 0) && (MenPkt == 7) )	//Taster2 Menue forward
		{
			MenPkt = 0;
			schlaf(1);
		}
		
		switch(MenPkt)
		{
			case 0:
				lcd_gotoxy(0,0);
				lcd_puts("LED_1 einschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )
				{
					PORTB = PORTB & 0xFE;	//LED (PORTB0)	an
				}
				break;
			
			case 1:
				lcd_gotoxy(0,0);
				lcd_puts("LED_2 einschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB = PORTB & 0xFD;	//LED (PORTB1)	an
				}
				break;
				
			case 2:
				lcd_gotoxy(0,0); 
				lcd_puts("LED_3 einschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB = PORTB & 0xFB;	//LED (PORTB2)	an
				}
				break;
			
			case 3:
				lcd_gotoxy(0,0);
				lcd_puts("LED_1 ausschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB |= 0x01;			//LED (PORTB0)	aus
				}
				break;
			
			case 4:
				lcd_gotoxy(0,0);
				lcd_puts("LED_2 ausschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB |= 0x02;			//LED (PORTB1)	aus
				}
				break;
			
			case 5:
				lcd_gotoxy(0,0); 
				lcd_puts("LED_3 ausschalten    \n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB |= 0x04;			//LED (PORTB2)	aus
				}
				break;
				
			case 6:
				lcd_gotoxy(0,0);
				lcd_puts("LED_1-3 einschalten\n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB = PORTB & 0xF8;	//LED (PORTB0-2) an
				}
				break;
				
			case 7:
				lcd_gotoxy(0,0);
				lcd_puts("LED_1-3 ausschalten\n");
				lcd_puts("Eingabe mit Taster_3");
				if( ( PIND & ( 1 << PD0 ) ) == 0 )	//Taster3 Menue Enter
				{
					PORTB |= 0x07;			//LED (PORTB0-2) aus
				}
				break;
		}
	}
}





/*
		//if( ( PIND & 0b00000001 ) == 0 )
		if( ( PIND & ( 1 << PD0 ) ) == 0 )
		//if(PIND == 0b11111110)
		{
			if(i == 0)
			{
				//PORTB &= ~(1 << PB0);		//LED (PORTB0)	an
				PORTB = 0xFE;				//LED (PORTB0)	an
				lcd_init(LCD_DISP_ON);
				lcd_clrscr();
				lcd_puts("Phillip\n");
				lcd_puts("KEL lernen !!");
				schlaf(10);
				//PORTB &= ~(0 << PB0);		//LED (PORTB0)	aus
				PORTB = 0xFF;				//LED (PORTB0)	aus
				i++;
			}
			else if(i == 1)
			{
				//PORTB &= ~(1 << PB0);		//LED (PORTB0)	an
				PORTB = 0xFE;				//LED (PORTB0)	an
				lcd_init(LCD_DISP_ON);
				lcd_clrscr();
				lcd_puts("Was denn noch?\n");
				lcd_puts("Sieh zu !!");
				schlaf(10);
				//PORTB &= ~(0 << PB0);		//LED (PORTB0)	aus
				PORTB = 0xFF;				//LED (PORTB0)	aus
				i++;
			}
			else if(i == 2)
			{
				//PORTB &= ~(1 << PB0);		//LED (PORTB0)	an
				PORTB = 0xFE;				//LED (PORTB0)	an
				lcd_init(LCD_DISP_ON);
				lcd_clrscr();
				lcd_puts("Jetzt ist aber Schluss\n");
				lcd_puts("--ENDE--");
				schlaf(10);
				//PORTB &= ~(0 << PB0);		//LED (PORTB0)	aus
				PORTB = 0xFF;				//LED (PORTB0)	aus
				i = 0;
			}
		}
	}
*/